classification
Title: PyArg_Parse*(): factorize code of 's' and 'z' formats, and 'u' and 'Z' formats
Type: Stage:
Components: Interpreter Core Versions: Python 3.2
process
Status: closed Resolution: fixed
Dependencies: 8949 Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2010-06-08 22:11 by vstinner, last changed 2010-06-24 22:32 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
factorize_getargs_sz_uZ.patch vstinner, 2010-06-08 22:11
Messages (2)
msg107356 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-06-08 22:11
Code of 's' and 'z' formats is *mostly* the same... except a bug (#8949).

Code of 'u' and 'Z' formats can also easily be factorized.

I don't really understand why the code was duplicated.
msg108556 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2010-06-24 22:32
Done in 3.2 (r82202), blocked in 3.1 (r82203) because of #8949 and because I prefer to avoid touching a stable branch.
History
Date User Action Args
2010-06-24 22:32:59vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg108556
2010-06-11 23:39:25vstinnersetdependencies: + PyArg_Parse*(): "z" should not accept bytes
2010-06-08 22:11:04vstinnercreate